Punto de venta
Acreditar y revertir operaciones desde un sistema de cobro externo.
/api/v2/marketplace/resolve-credentialsHeader Parameters
App static authorization token
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/marketplace/resolve-credentials" \ -H "X-App-Token: string" \ -H "Content-Type: application/json" \ -d '{ "names": [ "string" ] }'{ "credentials": [ { "name": "string", "value": "string" } ]}/api/v2/marketplace/accrueHeader Parameters
App static authorization token
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/marketplace/accrue" \ -H "X-App-Token: string" \ -H "Content-Type: application/json" \ -d '{ "check": { "amount": 0, "currency": "string", "selections": [ { "quantity": 0, "totalPrice": 0 } ] }, "transactionId": "string" }'{ "transactionId": "string", "results": [ { "installationId": 0, "templateId": 0, "companyId": 0, "isSuccess": true, "errorMessage": "string", "cardType": 0, "serialNumber": "string", "checkAmount": 0, "accrualAmount": 0, "accruedValue": 0, "operationId": 0, "createdAt": "string", "reversedAt": "string" } ]}/api/v2/marketplace/reverseHeader Parameters
App static authorization token
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/marketplace/reverse" \ -H "X-App-Token: string" \ -H "Content-Type: application/json" \ -d '{ "transactionId": "string" }'{ "transactionId": "string", "results": [ { "installationId": 0, "templateId": 0, "companyId": 0, "isSuccess": true, "errorMessage": "string", "cardType": 0, "serialNumber": "string", "checkAmount": 0, "accrualAmount": 0, "accruedValue": 0, "operationId": 0, "createdAt": "string", "reversedAt": "string" } ]}